Image Hosted by ImageShack.us

===========
Preparazione
===========

* Disabilitare l’estensione “composite” attiva di default,altrimenti il direct rendering non funziona
Come editor di testo useremo “kate”

sudo kate /etc/X11/xorg.conf

Aggiungere questo codice alla fine del file:

Section "Extensions"
Option "Composite" "Disable"
EndSection

Se non dovesse funzionare provate anche con:

Section "Extensions"
Option "Composite" "0"
EndSection

Image Hosted by ImageShack.us

================
Metodo 1 (non funzionante con kernel 2.6.20.*)
================

sudo apt-get update
sudo apt-get install linux-restricted-modules-$(uname -r)
sudo apt-get install xorg-driver-fglrx
sudo depmod -a
sudo modprobe fglrx

================
Metodo 2 (installazione manuale)
================
* Nota: Questo metodo funziona con kernel 2.6.20.*

Installiamo i tool necessari

sudo apt-get update
sudo apt-get install module-assistant build-essential fakeroot dh-make debhelper debconf libstdc++5
sudo apt-get install linux-headers-$(uname -r) wget

Scaricate l’installer

cd ~/
wget https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-installer-8.35.5-x86.x86_64.run

L’installer funziona sia per architetture a 32 che a 64bit,autoconfigurando l’installazione
Se non avete altri kernel,potete rimuovere i vecchi driver

sudo rm xorg-driver-fglrx*.deb
sudo rm fglrx-kernel-source*.deb
sudo rm fglrx-control*.deb

Creazione .deb packages

sh ./ati-driver-installer-8.35.5-x86.x86_64.run --buildpkg Ubuntu/feisty

Installazione .deb packages

sudo dpkg -i xorg-driver-fglrx*.deb
sudo dpkg -i fglrx-kernel-source*.deb
sudo dpkg -i fglrx-amdcccle*.deb

Rimuovere i vecchi moduli dal kernel

sudo rm /usr/src/fglrx-kernel*.deb

Compilare i moduli del kernel

============
Patch #1-2
============

Patch per kernel 2.6.20.*

1-Questa patch si applica con successo alla versione fglrx 8.34.8,sebbene ci siano dei problemi con lo spegnimento e il logout.Con gli 8.35.5 purtroppo “module-assistant” si pianta su “build fglrx”

cd ~/
wget http://darcs.frugalware.org/repos/frugalware-current/source/x11-extra/fglrx/fglrx-2.6.20.patch
cd /usr/src
sudo cp fglrx.tar.bz2 fglrx.tar.bz2-original
sudo tar -xvjf fglrx.tar.bz2
cd /usr/src/modules/fglrx

Applicate la patch:

sudo patch -p0 < ~/fglrx-2.6.20.patch
cd /usr/src
sudo tar -cvjf fglrx.tar.bz2 modules/fglrx

2-Con questa patch i problemi legati alla versione 8.34 dovrebbero essere risolti..e la stessa cosa per quanto riguarda gli 8.35.
Se avete applicato la prima patch NON APPLICATE QUESTA

cd ~/
wget http://whoopie.gmxhome.de/linux/patches/2.6.20/fglrx-8.35.5-for-2.6.20.patch
cd /usr/src
sudo cp fglrx.tar.bz2 fglrx.tar.bz2-original
sudo tar -xvjf fglrx.tar.bz2
cd /usr/src/modules/fglrx

Applicate la patch:

sudo patch -p0 “simbolo minore” ~/fglrx-8.35.5-for-2.6.20.patch
cd /usr/src
sudo tar -cvjf fglrx.tar.bz2 modules/fglrx

Parentesi su Module-Assistant

Questo non lo spiega nessuna guida..ma una volta che abbiamo pacchettizzato l’installer (il .run)
abbiamo poi installato il pacchetto fglrx-kernel-source.Se andate a vedere in /usr/src dovreste trovare il pacchetto tar.bz2 dei sorgenti fglrx

Image Hosted by ImageShack.us

Sono quei sorgenti che poi il bravo module-assistant va a pacchettizzare e installare definitivamente il modulo fglrx.ko

sudo module-assistant prepare
sudo module-assistant update
sudo module-assistant build fglrx
sudo module-assistant install fglrx
sudo depmod -a

Image Hosted by ImageShack.us

Configurare i driver

sudo aticonfig --initial
sudo aticonfig --overlay-type=Xv

Controllate nel file /etc/X11/xorg.conf che nella sezione “Devices” sia presente come driver “fglrx”
Riavviate il server Xorg,ma prima caricate il modulo

sudo modprobe fglrx

Non deve restituire output..controllate con

lsmod | grep fglrx

Riavviate Xorg

sudo killall Xorg

Controllate l’installazione dei driver

$fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: MOBILITY RADEON X1600 Generic
OpenGL version string: 2.0.6400 (8.35.5)

se il DRI non dovesse funzionare,controllate il file /etc/X11/xorg.conf
Alla voce “Device” “Driver” sostituire quello che c’e’ con “fglrx”

Problemi suspend schede Ati x700

sudo kate /etc/default/acpi-support

Modificate con:

SAVE_VBE_STATE=false
POST_VIDEO=true
USE_DPMS=false

Problemi suspend schede Ati X1300 e superiori

sudo kate /etc/default/acpi-support

Modificate con:

POST_VIDEO=false

IMPORTANTE:Questi driver funzionano con schede dalla serie Radeon 9500 alle + recenti schede della serie X fino alla 1950 compresa
NON supportano ancora,purtroppo,l’estensione AIGLX di Xorg

=================================
Traduzione dall’originale:Ubuntu Feisty Installation Guide
Wiki ufficiale Ubuntu-it: Link
Howto Lost blog per Ati + Edgy: Howto Edgy

Related Posts Plugin for WordPress, Blogger...

Il tuo indirizzo ip:
54.224.164.166

Valutazione 3.00 su 5
happy wheels 2 demo

Category:

Senza categoria

Tags:

,

Commenti via Facebook:

Leave a Reply

Your email address will not be published. Required fields are marked *

*

106 Comments

  • Hi my family member! I want to say that this post is amazing,
    great written and come with almost all significant infos.
    I would like to look extra posts like this .

      Quota

  • My spouse and I absolutely love your blog and find almost all
    of your post’s to be just what I’m looking for. can you offer guest writers to write content to suit your needs?
    I wouldn’t mind producing a post or elaborating on a lot of the subjects
    you write with regards to here. Again, awesome web site!

      Quota

  • Hello, the whole thing is going fine here and ofcourse every one is sharing data, that’s in fact
    excellent, keep up writing.

      Quota

  • My partner and I absolutely love your blog and find the majority of
    your post’s to be just what I’m looking for. Does one offer guest writers to write content for yourself?
    I wouldn’t mind producing a post or elaborating on a few of
    the subjects you write about here. Again, awesome weblog!

      Quota

  • Hi there! Someone in my Facebook group shared this site with us so
    I came to check it out. I’m definitely loving the information.
    I’m book-marking and will be tweeting this to my followers!
    Fantastic blog and brilliant design and style.

      Quota

  • Whats up are using WordPress for your site platform? I’m new to the blog world but
    I’m trying to get started and create my own. Do you need any coding expertise to make your own
    blog? Any help would be really appreciated!

      Quota